<button mat-button mat-dialog-close style="float: right"><mat-icon>close</mat-icon></button>
  <span mat-dialog-title style="font-size: 12px" [ngSwitch]="data.action">
    Hi {{data.user.name}}, <span *ngSwitchCase="'set'">please verify your location.</span>
    <span *ngSwitchDefault>your Milk Tea is on its way!</span>
  </span>
  <div mat-dialog-content style="max-height: 80% !important;">
    <rt-maps [action]="data.action" [loc]="{lat: 15.7175613, long: 120.9093055}"
      (dragMyPlace)="newAddress($event)">
    </rt-maps>
    <rt-chips [placeholder]="'Replace or enter another address not listed below'" [options]="addressList"></rt-chips>
  </div>
  <div style="display: flex">
    <div mat-dialog-actions align="start" style="width:25%">
      <span style="font-size: 9px"><i>Maximize the map when setting your location for better view.</i></span>
    </div>
    <div mat-dialog-actions align="end" style="width:75%">
      <button mat-raised-button color="warn" mat-dialog-close>OK, all set!</button>
      <!-- <button mat-raised-button color="primary">Ok</button> -->
    </div>
  </div>